Subject: Re: [PATCH v11] setup: improve error diagnosis for invalid .git files

From: Tian Yuchen <[email-masked]>
Date: Thu, 5 Mar 2026 20:40:08 +0800

On 3/5/26 06:50, Junio C Hamano wrote:
> Tian Yuchen <[email-masked]> writes:
> 
>> Maybe, but my main concern was that adding 'die()' in
>> 'setup_git_directory_gently_1()' might not be the best choice.
>> Considering the implementations of the preceding functions, I though
>> locating 'die()' in 'setup_explicit_git_dir()' might be a better choice?
> 
> You may be right.  I didn't take a careful enough look to comment.
> 
>> By the way, I noticed there's a '(read_gitfile(path))' macro that
>> expands to 'read_gitfile(path, NULL)'. I was planning to pass
>> 'error_code' here, essentially moving the logic from the original
>> 'setup_git_directory_gently_1()' to this location, where the former
>> would only be responsible for returning the error status... The changes
>> would be a bit too extensive if I did it that way.
> 
> True.  It would be a lot more invasive change.  I do not know if it
> is worth our time _right_ _now_, or if it is better to be left for
> future iterations.

I will hold off on any further iterations and leave v12 as is, unless 
you or others spot any specific details in it that still need tweaking.

Thank you so much for the patience and guidance throughout this entire 
series! I really learned a lot from it.

Regards,

Yuchen